<?php
/************************************************************************/
/* Maximus CMS: Web Portal System                                       */
/* ==============================                                       */
/*                                                                      */
/* Copyright (c) 2002 - 2006                                            */
/* http://www.php-maximus.fr                                            */
/* dev@php-maximus.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Based on PHP-NUKE: Web Portal System                                 */
/************************************************************************/
if (!defined('ADMIN_ALLOW') && !defined('ADMIN_MAX')) {
	die ("Access Denied");
}
if ($acces == 1) {
if($admintest && $adminsecu)  {


$file = fopen("".$cache."/Configuration/".$cache_prefix."_cMax_Blocks.php", "w");
$content = "";
$content .= "<?php\n defined(\"MAXIMUS\") OR Header(\"Location: ../index.php\"); \n";
$content .= "\n";
$content .= "define( 'CACHE_BIG_STORY', '$blbigstory' );\n";
$content .= "define( 'CACHE_AD_LEFTBA', '$bladleftba' );\n";
$content .= "define( 'CACHE_AD_RIGHTBA', '$bladrightba' );\n";
$content .= "define( 'CACHE_CATEGORIES', '$blcategories' );\n";
$content .= "define( 'CACHE_CONTENT', '$blcontent' );\n";
$content .= "define( 'CACHE_ENCYCLOP', '$blencyclop' );\n";
$content .= "define( 'CACHE_FORUM', '$blforum' );\n";
$content .= "define( 'CACHE_LANGUAGE', '$bllanguage' );\n";
$content .= "define( 'CACHE_LAST5ARTICLES', '$bllastarticles' );\n";
$content .= "define( 'CACHE_REFERER', '$blreferer' );\n";
$content .= "define( 'CACHE_MAXWHOISONLINE', '$blmaxwhoisonline' );\n";
$content .= "define( 'CACHE_MODULES', '$blmodules' );\n";
$content .= "define( 'CACHE_NSNGDACCESS', '$blnsngdaccess' );\n";
$content .= "define( 'CACHE_NSNGDHOT', '$blnsngdhot' );\n";
$content .= "define( 'CACHE_NSNGDNEW', '$blnsngdnew' );\n";
$content .= "define( 'CACHE_OLDARTICLES', '$bloldarticles' );\n";
$content .= "define( 'CACHE_REVIEWS', '$blreviews' );\n";
$content .= "define( 'CACHE_SCROLLSENTINEL', '$blscrollsentinel' );\n";
$content .= "define( 'CACHE_SENTINEL', '$blsentinel' );\n";
$content .= "define( 'CACHE_SUPPORTERDN', '$blsupporterdn' );\n";
$content .= "define( 'CACHE_SUPPORTERSLT', '$blsupporterslt' );\n";
$content .= "define( 'CACHE_SUPPORTERSRN', '$blsupportersrn' );\n";
$content .= "define( 'CACHE_SUPPORTERSRT', '$blsupportersrt' );\n";
$content .= "define( 'CACHE_SUPPORTERSUP', '$blsupportersup' );\n";
$content .= "define( 'CACHE_SURVEYS', '$blsurveys' );\n";
$content .= "define( 'CACHE_TOP10LINKS', '$bltop10links' );\n";
$content .= "define( 'CACHE_TOTALHITS', '$bltotalhits' );\n";
$content .= "define( 'CACHE_USERINFO', '$bluserinfo' );\n";
$content .= "define( 'CACHE_USERMENU', '$blusermenu' );\n";
$content .= "define( 'CACHE_WHOISWHERE', '$blwhoiswhere' );\n";
fwrite($file, $content);
fclose($file);

redirect_url("".$admin_file.".php?op=cMaxCache_Blocks");






}
} else {
	echo "Access Denied";
}